#!/bin/sh

target=$1
appname=$2

for pofile in $(find ./po -name "*.po"); do
    pofilename="${pofile##*/}"
    langcode="${pofilename%.*}"
    localedir="$target/locale/$langcode/LC_MESSAGES"
    mkdir -p $localedir
    mofile="$localedir/$appname.mo"
    msgfmt -o "$mofile" "$pofile"
done
